
-- Nothing really needed to be touched here (Maybe)

addHook("ThinkFrame", function()
	if gametype ~= GT_PIZZATIMEJISK then return end
	
	local exitingCount, playerCount, pizzaCount = JISK_COUNT()
	
	-- better than the old code since it started a new iteration on every IF block.
	
	for player in players.iterate() do
		if leveltime then -- just a safety check
			if (CV_PTJE.lappingtype.value == 2) and (player.lapsdid > CV_PTJE.maxlaps_perplayer.value) then
				P_DoPlayerExit(player)
			elseif ((playerCount > 1) and not (pizzaCount) and PTJE.pizzatime) or (exitingCount == playerCount) then
				if player.valid and not (player.exiting)
					P_DoPlayerExit(player)
				end
				--print(2)
			elseif (CV_PTJE.maxlaps.value and PTJE.laps > CV_PTJE.maxlaps.value and not CV_PTJE.dynamiclaps.value) or PTJE.quitting 
			or (PTJE.dynamic_maxlaps and PTJE.laps > PTJE.dynamic_maxlaps and CV_PTJE.dynamiclaps.value) 
			and not ((CV_PTJE.lappingtype.value == 2) and (player.lapsdid > CV_PTJE.maxlaps_perplayer.value)) then
				if player.valid and not (player.exiting)
					P_DoPlayerExit(player)
					PTJE.quitting = true
				end
				--print(3)
			else
				if player.valid and (player.pizzaface or player.spectator) and not ( (CV_PTJE.lappingtype.value == 2) and (player.lapsdid > CV_PTJE.maxlaps_perplayer.value) ) then
					player.exiting = 0
				end
				--print(4)
			end
		end
	end
end)
